This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278416 - Regression in support for custom CPU configuration
Regression in support for custom CPU configuration
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 07:31 EST by Andrew Gormanly
Modified: 2015-11-06 05:12 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 13:08:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested info (10.42 KB, application/x-bzip)
2015-11-05 09:04 EST, Andrew Gormanly
no flags Details

  None (edit)
Description Andrew Gormanly 2015-11-05 07:31:48 EST
Description of problem:
VM's with custom CPU no longer work following an upgrade of the host from Fedora 21 to Fedora 22, 1.2.9-2.fc21 to 1.2.13.1-3

Version-Release number of selected component (if applicable):
1.2.13.1-3

How reproducible:
Every time

Steps to Reproduce:
1. have a VM XML file with a custom <cpu> section
2. start it on Fedora 22
3.

Actual results:
"error: unsupported configuration: guest and host CPU are not compatible: host CPU vendor does not match required CPU vendor Intel"

Expected results:
VM starts as on Fedora 21 and earlier.


Additional info:
If I delete the <cpu> element entirely from the XML file, the VM works
again.

This looks to be the same symptoms as at https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=797513 though the versions differ.
Comment 1 Jiri Denemark 2015-11-05 08:20:29 EST
Would you mind sharing more details so that we can actually look at this issue? Please, attach

- full domain XML
- the output of "virsh capabilities"
- the output of "cpuid -1r"
- /proc/cpuinfo

In addition to this, please set

    log_filters="1:cpu 1:qemu 1:daemon"
    log_outputs="1:file:/var/log/libvirt/libvirtd.log"

in /etc/libvirt/libvirtd.conf, restart libvirtd service and attach the generated libvirtd.log file.
Comment 2 Andrew Gormanly 2015-11-05 09:04 EST
Created attachment 1090094 [details]
Requested info

Sure, info attached.  Happy to provide more and test as required.
Comment 3 Jiri Denemark 2015-11-05 13:08:37 EST
So this is actually very different from the Debian bug report. And everything seems to be working as expected. You host has an AMD CPU, but the domain XML contains <vendor>Intel</vendor>, which is explicitly asking for a host CPU made by Intel. The support for <vendor> element was added to libvirt in 0.8.3 and it was designed to always work the way you see. And on Fedora 21 starting a domain with <vendor>Intel</vendor> on an AMD host should fail in the same way it fails on Fedora 22. There was no CPU vendor related patch between 1.2.9 and 1.2.13 as far as I know. If it worked for you on F21, it was a bug. If you don't really insist on running the domain on Intel CPUs only, just remove <vendor>Intel</vendor> from the domain XML.
Comment 4 Andrew Gormanly 2015-11-06 05:12:03 EST
Okay, thanks for looking into it.  I guess as Fedora 21 is going EOL in a few more days that its bugginess is irrelevant.

Note You need to log in before you can comment on or make changes to this bug.